%define	version	0.6.0
%define release 1mdk
%define name	screem

Summary:	Web Site CReating and Editing EnvironMent
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/WWW
Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}.16.png.bz2
Source2:	%{name}.32.png.bz2
Source3:	%{name}.48.png.bz2
Url:		http://www.screem.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libgnomeui2-devel
BuildRequires:	libneon-devel libopenssl-devel
BuildRequires:	libglade2.0-devel libgnomeprintui-devel
PreReq:		scrollkeeper
Requires:	scrollkeeper >= 0.3

%description
SCREEM (Site CReating and Editing EnvironMent) is an integrated development
environment for the creation and maintenance of websites and pages.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure2_5x --with-ssl --with-neon

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%{find_lang} %{name}

# perl -pi -e "s|/home/lenny/rpm/BUILD/screem-0.4.1/libneon| |g;" $RPM_BUILD_ROOT/%_libdir/%name/plugins/*.la

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF 
?package(%{name}):command="%{_bindir}/screem" icon="screem.png" title="Screem" longtitle="Website creation tool" needs="X11" section="Networking/WWW"
EOF
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/screem/plugins/*.la

# create cache files
touch $RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}/C/%name.html

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi
if [ -x /usr/bin/yelp-pregenerate ]; then /usr/bin/yelp-pregenerate %{_datadir}/gnome/help/%{name}/*/%{name}.xml > /dev/null || true ; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/screem.schemas > /dev/null
%{update_menus}

%postun
%{clean_menus}
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q|| true ; fi
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc ABOUT-NLS AUTHORS BUGS COPYING* ChangeLog INSTALL README TODO
%config(noreplace) %_sysconfdir/gconf/schemas/screem.schemas
%_bindir/screem
%_libdir/screem/plugins/*.so
%_datadir/application-registry/*.applications
%_datadir/applications/*.desktop
%_datadir/gnome/help/%{name}/*/figures/*.png
%_datadir/gnome/help/%{name}/*/*.xml
%_datadir/mc/templates/*.desktop
%_datadir/mime-info/*.mime
%_datadir/omf/screem/screem-C.omf
%_datadir/pixmaps/*.png
%_datadir/pixmaps/%{name}/splash/*.png
%_datadir/%{name}/dtd/*.ent
%_datadir/%{name}/dtd/*.dtd
%_datadir/%{name}/dtd/catalog
%_datadir/%{name}/glade/*.glade
%_datadir/%{name}/hints/*.txt
%_datadir/%{name}/php/*
%_datadir/%{name}/pixmaps/*.png
%_datadir/%{name}/pixmaps/*.xpm
%_datadir/%{name}/syntax/*.syntax
%_datadir/%{name}/ui/*.xml
%_datadir/%{name}/resources/Images/*.jpg
%_datadir/%{name}/resources/Templates/*.html
%_datadir/%{name}/*.tagtree
%ghost %_datadir/gnome/help/%{name}/*/%{name}.html


# menu
%_menudir/%{name}
%_liconsdir/%{name}.png
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png

%changelog
* Fri Feb 14 2003 Laurent Culioli <laurent@pschit.net> 0.6.0-1mdk
- 0.6.0
- enable neon
- reenable ssl

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-18mdk
- rebuild

* Thu Dec 19 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-17mdk
- rebuild against new libguile

* Mon Jan 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-16mdk
- remove invalid-directory-reference in .la files
- converts xpms to pngs

* Wed Nov 21 2001 Stefan van der Eijk <stefan@eijk.nu> 0.4.1-15mdk
- BuildRequires: xpm-devel

* Fri Nov  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-14mdk
- Patch0: fix compilation with latest gnome1 platform
- Recompiled against latest gtkhtml/gal

* Thu Oct 25 2001 Stefan van der Eijk <stefan@eijk.nu> 0.4.1-13mdk
- BuildRequires: libxml-devel
- Removed redundant BuildRequires

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-12mdk
- Recompiled against libgtkhtml16/libgal12

* Thu Aug 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-11mdk
- Recompiled against libgtkhtml15

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-10mdk
- Recompiled against libgal11

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-9mdk
- Disable ssl support (broken)
- Recompiled against latest gtkhtml/gal

* Thu Jul 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-8mdk
- rebuild against new gtkhtml/gal

* Sun Jul 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.4.1-7mdk
- BuildRequires:	bonobo-devel
- BuildRequires:	db1-devel
- BuildRequires:	gdk-pixbuf-devel
- BuildRequires:	libglade-devel
- BuildRequires:	libunicode-devel
- BuildRequires:	oaf-devel
- BuildRequires:	popt-devel
- Removed BuildRequires:	gnome-libs

* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-6mdk
- SSL enabled
- Recompiled against latest gtkhtml/gal

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-5mdk
- Recompiled against latest gtkhtml and gal

* Mon May 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-4mdk
- Update build dependencies
- Use makeinstall macro to install locales correctly
- Rebuild against latest gnome-vfs

* Wed Apr 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-3mdk
- enable vfs
- fix release

* Sun Mar 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-2mdk
- fixes files section

* Mon Mar 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- updated to 0.4.1
- fix icon

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.0-6mdk
- Recompiled again latest gnome-print

* Fri Nov 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-5mdk
- added all sizes of icons
- fix typo


* Thu Oct 26 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.3.0-4mdk
- recompiled with gnome-print 0.24

* Sun Oct 01 2000 David BAUDENS <baudens@mandrakesoft.com> 0.3.0-3mdk
- More macros
- Use optimizations
- Fix menu entry
- Fix group

* Thu Sep 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-2mdk
- try to reduce the "fuzzy logic" :)

* Thu Aug 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.0-1mdk
- new in contribs
